Skip to main content
PATCH
/
api
/
v1
/
prompts
/
{id}
Update prompt
curl --request PATCH \
  --url https://neo.api.projectdiscovery.io/api/v1/prompts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "category": "<string>",
  "content": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "title": "<string>",
  "visibility": "private"
}
'
{
  "prompt": {
    "content": "<string>",
    "copy_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "version": 123,
    "visibility": "private",
    "category": "<string>",
    "description": "<string>",
    "metadata": {},
    "source_prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tags": [
      "<string>"
    ],
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Prompt UUID

Body

application/json
category
string
Maximum string length: 100
content
string
description
string
tags
string[]
title
string
Maximum string length: 255
visibility
enum<string>
Available options:
private,
unlisted,
team

Response

Prompt updated

prompt
object
required